Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.rowset
Class JdbcRowSetImpl

    java.lang.Object
      weblogic.jdbc.rowset.JdbcRowSetImpl

All Implemented Interfaces:
  ResultSet, RowSet, JdbcRowSet, Joinable

    public class JdbcRowSetImpl

extends Object
implements JdbcRowSet

JdbcRowSet is an implementation of the JDBC RowSet API (javax.sql.RowSet). JdbcRowSet is a wrapper around a ResultSet object that makes it possible to use the result set as a JavaBeans component. Thus, a JdbcRowSet can be one of the beans that a tool makes available for creating a component-based application. Because a JdbcRowSet object is a connected rowset (that is, it continually maintains its connection to the database using a JDBC technology-enabled driver) it effectively makes the driver a JavaBeans component.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`JdbcRowSetImpl()` Constructs a default JdbcRowSet object.
`JdbcRowSetImpl(String url, String user, String password)`

Method Summary
`boolean` | `absolute(int i)` Moves the cursor to the given row number in this ResultSet object
`void` | `addRowSetListener(RowSetListener rsl)` Registers the given listener so that it will be notified of events that occur on this RowSet object
`void` | `afterLast()` Moves the cursor to the end of this ResultSet object, just after the last row
`void` | `beforeFirst()` Moves the cursor to the front of this ResultSet object, just before the first row
`void` | `cancelRowUpdates()` Cancels the updates made to the current row in this ResultSet object and notifies listeners that a row has changed.
`void` | `clearParameters()` Clears the parameters set for this RowSet object's command.
`void` | `clearWarnings()` Clears all warnings reported on this rowset's ResultSet object
`void` | `close()` Releases this rowset's ResultSet object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed
`void` | `commit()` Commits all updates in this JdbcRowSet object by wrapping the internal Connection object and calling its commit method.
`void` | `deleteRow()` Deletes the current row from this rowset's ResultSet object and from the underlying database and also notifies listeners that a row has changed
`void` | `execute()` Creates the internal ResultSet object for which this JdbcRowSet object is a wrapper, effectively making the result set a JavaBeans component.
`boolean` | `first()` Moves the cursor to the first row in this ResultSet object
`Array` | `getArray(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as an Array object in the Java programming language
`Array` | `getArray(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as an Array object in the Java programming language
`InputStream` | `getAsciiStream(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a stream of ASCII characters
`InputStream` | `getAsciiStream(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a stream of ASCII characters
`boolean` | `getAutoCommit()` Returns the auto-commit status with this JdbcRowSet
`BigDecimal` | `getBigDecimal(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.
`BigDecimal` | `getBigDecimal(int i, int scale)` Deprecated.
`BigDecimal` | `getBigDecimal(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.
`BigDecimal` | `getBigDecimal(String s, int n)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.
`InputStream` | `getBinaryStream(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a binary stream of uninterpreted bytes
`InputStream` | `getBinaryStream(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a binary stream of uninterpreted bytes
`Blob` | `getBlob(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a Blob object in the Java programming language
`Blob` | `getBlob(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a Blob object in the Java programming language
`boolean` | `getBoolean(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a boolean in the Java programming language.
`boolean` | `getBoolean(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a boolean in the Java programming language.
`byte` | `getByte(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a byte in the Java programming language.
`byte` | `getByte(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a byte in the Java programming language.
`byte[]` | `getBytes(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a byte array in the Java programming language.
`byte[]` | `getBytes(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a byte array in the Java programming language.
`Reader` | `getCharacterStream(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
`Reader` | `getCharacterStream(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.
`Clob` | `getClob(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a Clob object in the Java programming language
`Clob` | `getClob(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a Clob object in the Java programming language
`String` | `getCommand()` Retrieves this RowSet object's command property
`int` | `getConcurrency()` Retrieves the concurrency mode of this ResultSet object.
`String` | `getCursorName()` Gets the name of the SQL cursor used by this rowset's ResultSet object
`String` | `getDataSourceName()` Retrieves the logical name that identifies the data source for this RowSet object
`Date` | `getDate(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language
`Date` | `getDate(int i, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language
`Date` | `getDate(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language
`Date` | `getDate(String s, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language
`double` | `getDouble(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a double in the Java programming language.
`double` | `getDouble(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a double in the Java programming language.
`boolean` | `getEscapeProcessing()` Retrieves whether escape processing is enabled for this RowSet object.
`int` | `getFetchDirection()` Retrieves the fetch direction for this ResultSet object
`int` | `getFetchSize()` Retrieves the fetch size for this ResultSet object.
`float` | `getFloat(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a float in the Java programming language.
`float` | `getFloat(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a float in the Java programming language.
`int` | `getInt(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as an int in the Java programming language.
`int` | `getInt(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as an int in the Java programming language.
`long` | `getLong(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a long in the Java programming language
`long` | `getLong(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a long in the Java programming language
`int[]` | `getMatchColumnIndexes()` Retrieves the column id as int array that was set using setMatchColumn(int []) for this rowset
`String[]` | `getMatchColumnNames()` Retrieves the column name as String array that was set using setMatchColumn(String []) for this rowset
`int` | `getMaxFieldSize()` Retrieves the maximum number of bytes that may be returned for certain column values
`int` | `getMaxRows()` Retrieves the maximum number of rows that this RowSet object can contain
`ResultSetMetaData` | `getMetaData()` Retrieves the number, types and properties of this rowset's ResultSet object's columns.
`Object` | `getObject(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
`Object` | `getObject(int i, Map m)` Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
`Object` | `getObject(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
`Object` | `getObject(String s, Map m)` Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.
`String` | `getPassword()` Retrieves the password used to create a database connection.
`int` | `getQueryTimeout()` Retrieves the maximum number of seconds the driver will wait for a statement to execute
`Ref` | `getRef(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a Ref object in the Java programming language
`Ref` | `getRef(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a Ref object in the Java programming language
`int` | `getRow()` Retrieves the current row number
`RowSetWarning` | `getRowSetWarnings()` Return the RowSetWarning object for the current row of a JdbcRowSetImpl
`short` | `getShort(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a short in the Java programming language.
`short` | `getShort(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a short in the Java programming language.
`boolean` | `getShowDeleted()` See javax.sql.rowset.JdbcRowSet
`Statement` | `getStatement()` Returns the Statement object that produced this ResultSet object.
`String` | `getString(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
`String` | `getString(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.
`Time` | `getTime(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.
`Time` | `getTime(int i, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.
`Time` | `getTime(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.
`Time` | `getTime(String s, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.
`Timestamp` | `getTimestamp(int i)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object
`Timestamp` | `getTimestamp(int i, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object
`Timestamp` | `getTimestamp(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object
`Timestamp` | `getTimestamp(String s, Calendar c)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object
`int` | `getTransactionIsolation()` Retrieves the transaction isolation level set for this RowSet object
`int` | `getType()` Retrieves the type of this ResultSet object
`Map` | `getTypeMap()` Retrieves the Map object associated with this RowSet object, which specifies the custom mapping of SQL user-defined types, if any
`InputStream` | `getUnicodeStream(int i)` Deprecated.
`InputStream` | `getUnicodeStream(String s)` Deprecated.
`String` | `getUrl()` Retrieves the url property this RowSet object will use to create a connection if it uses the DriverManager instead of a DataSource object to establish the connection
`URL` | `getURL(int a)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.net.URL object in the Java programming language
`URL` | `getURL(String s)` Retrieves the value of the designated column in the current row of this ResultSet object as a java.net.URL object in the Java programming language
`String` | `getUsername()` Retrieves the username used to create a database connection for this RowSet object
`SQLWarning` | `getWarnings()` Returns the first warning reported by calls on this rowset's ResultSet object.
`boolean` | `isAfterLast()` Retrieves whether the cursor is after the last row in this ResultSet object
`boolean` | `isBeforeFirst()` Retrieves whether the cursor is before the first row in this ResultSet object
`boolean` | `isFirst()` Retrieves whether the cursor is on the first row of this ResultSet object
`boolean` | `isLast()` Retrieves whether the cursor is on the last row of this ResultSet object
`boolean` | `isReadOnly()` Retrieves whether this RowSet object is read-only
`boolean` | `last()` Moves the cursor to the last row in this ResultSet object
`void` | `moveToCurrentRow()` Moves the cursor to the remembered cursor position, usually the current row
`void` | `moveToInsertRow()` Moves the cursor to the insert row.
`boolean` | `next()` Moves the cursor down one row from its current position
`boolean` | `previous()` Moves the cursor to the previous row in this ResultSet object
`boolean` | `relative(int i)` Moves the cursor a relative number of rows, either positive or negative
`void` | `removeRowSetListener(RowSetListener rsl)` Removes the specified listener from the list of components that will be notified when an event occurs on this RowSet object
`void` | `rollback()` Rolls back all the updates in this JdbcRowSet object by wrapping the internal Connection object and calling its rollback method.
`void` | `rollback(Savepoint s)` Rollbacks all the updates in the JdbcRowSet back to the last Savepoint transaction marker
`boolean` | `rowDeleted()` Retrieves whether a row has been deleted
`boolean` | `rowInserted()` Retrieves whether the current row has had an insertion
`boolean` | `rowUpdated()` Retrieves whether the current row has been updated
`void` | `setArray(int i, Array x)` Sets the designated parameter in this RowSet object's command with the given Array value
`void` | `setAsciiStream(int i, InputStream is, int x)` Sets the designated parameter in this RowSet object's command to the given java.io.InputStream value
`void` | `setAutoCommit(boolean autoCommit)` Sets auto-commit on the internal Connection object with this JdbcRowSet
`void` | `setBigDecimal(int i, BigDecimal bd)` Sets the designated parameter in this RowSet object's command to the given java.math.BigDeciaml value.
`void` | `setBinaryStream(int i, InputStream is, int x)` Sets the designated parameter in this RowSet object's command to the given java.io.InputStream value
`void` | `setBlob(int i, Blob b)` Sets the designated parameter in this RowSet object's command with the given Blob value.
`void` | `setBoolean(int i, boolean b)` Sets the designated parameter in this RowSet object's command to the given Java boolean value
`void` | `setByte(int i, byte b)` Sets the designated parameter in this RowSet object's command to the given Java byte value
`void` | `setBytes(int i, byte[] b)` Sets the designated parameter in this RowSet object's command to the given Java array of byte values
`void` | `setCharacterStream(int i, Reader r, int x)` Sets the designated parameter in this RowSet object's command to the given java.io.Reader value
`void` | `setClob(int i, Clob c)` Sets the designated parameter in this RowSet object's command with the given Clob value
`void` | `setCommand(String s)` Sets this RowSet object's command property to the given SQL query.
`void` | `setConcurrency(int c)` Sets the concurrency of this RowSet object to the given concurrency level.
`void` | `setDataSourceName(String s)` Sets the data source name property for this RowSet object to the given String
`void` | `setDate(int i, Date d)` Sets the designated parameter in this RowSet object's command with the given java.sql.Date value
`void` | `setDate(int i, Date d, Calendar c)` Sets the designated parameter in this RowSet object's command with the given java.sql.Date value.
`void` | `setDouble(int i, double d)` Sets the designated parameter in this RowSet object's command to the given Java double value.
`void` | `setFetchDirection(int i)` Gives a hint as to the direction in which the rows in this ResultSet object will be processed.
`void` | `setFetchSize(int i)` Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this ResultSet object.
`void` | `setFloat(int i, float f)` Sets the designated parameter in this RowSet object's command to the given Java float value.
`void` | `setInt(int i, int x)` Sets the designated parameter in this RowSet object's command to the given Java int value
`void` | `setLong(int i, long l)` Sets the designated parameter in this RowSet object's command to the given Java long value
`void` | `setMatchColumn(int columnIdx)` Sets the designated parameter to the given int object.
`void` | `setMatchColumn(int[] columnIdxes)` Sets the designated parameter to the given int array.
`void` | `setMatchColumn(String columnName)` Sets the designated parameter to the given String object.
`void` | `setMatchColumn(String[] columnNames)` Sets the designated parameter to the given String array.
`void` | `setMaxFieldSize(int x)` Sets the maximum number of bytes that can be returned for a column value to the given number of bytes.
`void` | `setMaxRows(int n)` Sets the maximum number of rows that this RowSet object can contain to the specified number
`void` | `setNull(int i, int x)` Sets the designated parameter in this RowSet object's SQL command to SQL NULL
`void` | `setNull(int i, int x, String s)` Sets the designated parameter in this RowSet object's SQL command to SQL NULL
`void` | `setObject(int i, Object o)` Sets the designated parameter in this RowSet object's command with a Java Object
`void` | `setObject(int i, Object o, int x)` Sets the designated parameter in this RowSet object's command with a Java Object
`void` | `setObject(int i, Object o, int x, int scale)` Sets the designated parameter in this RowSet object's command with a Java Object
`void` | `setPassword(String p)` Sets the database password for this RowSet object to the given String.
`void` | `setQueryTimeout(int t)` Sets the maximum time the driver will wait for a statement to execute to the given number of seconds
`void` | `setReadOnly(boolean b)` Sets whether this RowSet object is read-only to the given boolean.
`void` | `setRef(int i, Ref r)` Sets the designated parameter in this RowSet object's command with the given Ref value
`void` | `setShort(int i, short s)` Sets the designated parameter in this RowSet object's command to the given Java short value
`void` | `setShowDeleted(boolean b)` See javax.sql.rowset.JdbcRowSet
`void` | `setString(int i, String s)` Sets the designated parameter in this RowSet object's command to the given Java String value
`void` | `setTime(int i, Time t)` Sets the designated parameter in this RowSet object's command to the given java.sql.Time value
`void` | `setTime(int i, Time t, Calendar c)` Sets the designated parameter in this RowSet object's command to the given java.sql.Time value
`void` | `setTimestamp(int i, Timestamp t)` Sets the designated parameter in this RowSet object's command to the given java.sql.Timestamp value
`void` | `setTimestamp(int i, Timestamp t, Calendar c)` Sets the designated parameter in this RowSet object's command to the given java.sql.Timestamp value
`void` | `setTransactionIsolation(int i)` Sets the transaction isolation level for this RowSet obejct.
`void` | `setType(int t)` Sets the type of this RowSet object to the given type.
`void` | `setTypeMap(Map m)` Installs the given java.util.Map object as the default type map for this RowSet object
`void` | `setUrl(String u)` Sets the URL this RowSet object will use when it uses the DriverManager to create a connection.
`void` | `setUsername(String un)` Sets the username property for this RowSet object to the given String
`void` | `unsetMatchColumn(int columnIdx)` Unsets the designated parameter to the given int object
`void` | `unsetMatchColumn(int[] columnIdxes)` Unsets the designated parameter to the given int array
`void` | `unsetMatchColumn(String columnName)` Unsets the designated parameter to the given string object
`void` | `unsetMatchColumn(String[] columnNames)` Unsets the designated parameter to the given String array.
`void` | `updateArray(int a, Array b)` Updates the designated column with a java.sql.Array value
`void` | `updateArray(String s, Array b)` Updates the designated column with a java.sql.Array value
`void` | `updateAsciiStream(int i, InputStream is, int n)` Updates the designated column with an ascii stream value
`void` | `updateAsciiStream(String s, InputStream is, int x)` Updates the designated column with an ascii stream value
`void` | `updateBigDecimal(int i, BigDecimal bd)` Updates the designated column with a java.sql.BigDecimal value
`void` | `updateBigDecimal(String s, BigDecimal bd)` Updates the designated column with a java.sql.BigDecimal value
`void` | `updateBinaryStream(int i, InputStream is, int n)` Updates the designated column with a binary stream value
`void` | `updateBinaryStream(String s, InputStream is, int x)` Updates the designated column with a binary stream value
`void` | `updateBlob(int a, Blob b)` Updates the designated column with a java.sql.Blob value
`void` | `updateBlob(String s, Blob b)` Updates the designated column with a java.sql.Blob value
`void` | `updateBoolean(int i, boolean b)` Updates the designated column with a boolean value
`void` | `updateByte(int i, byte b)` Updates the designated column with a byte value
`void` | `updateByte(String s, byte b)` Updates the designated column with a byte value
`void` | `updateBytes(int i, byte[] b)` Updates the designated column with a byte array value.
`void` | `updateBytes(String s, byte[] b)` Updates the designated column with a byte array value.
`void` | `updateCharacterStream(int i, Reader r, int n)` Updates the designated column with a character stream value
`void` | `updateCharacterStream(String s, Reader r, int x)` Updates the designated column with a character stream value
`void` | `updateClob(int a, Clob b)` Updates the designated column with a java.sql.Clob value
`void` | `updateClob(String s, Clob b)` Updates the designated column with a java.sql.Clob value
`void` | `updateDate(int i, Date d)` Updates the designated column with a java.sql.Date value
`void` | `updateDate(String s, Date d)` Updates the designated column with a java.sql.Date value
`void` | `updateDouble(int i, double d)` Updates the designated column with a double value
`void` | `updateDouble(String s, double d)` Updates the designated column with a double value
`void` | `updateFloat(int i, float f)` Updates the designated column with a float value
`void` | `updateFloat(String s, float f)` Updates the designated column with a float value
`void` | `updateInt(int i, int x)` Updates the designated column with an int value
`void` | `updateInt(String s, int x)` Updates the designated column with an int value
`void` | `updateLong(int i, long l)` Updates the designated column with a long value
`void` | `updateNull(int i)` Gives a nullable column a null value
`void` | `updateNull(String s)` Gives a nullable column a null value
`void` | `updateObject(int i, Object o)` Updates the designated column with an Object value
`void` | `updateObject(int i, Object o, int x)` Updates the designated column with an Object value
`void` | `updateObject(String s, Object o)` Updates the designated column with an Object value
`void` | `updateObject(String s, Object o, int x)` Updates the designated column with an Object value
`void` | `updateRef(int a, Ref b)` Updates the designated column with a java.sql.Ref value
`void` | `updateRef(String s, Ref b)` Updates the designated column with a java.sql.Ref value
`void` | `updateShort(int i, short s)` Updates the designated column with a short value
`void` | `updateShort(String s, short x)` Updates the designated column with a short value
`void` | `updateString(int i, String s)` Updates the designated column with a String value.
`void` | `updateString(String s, String n)` Updates the designated column with a String value.
`void` | `updateTime(int i, Time t)` Updates the designated column with a java.sql.Time value
`void` | `updateTime(String s, Time t)` Updates the designated column with a java.sql.Time value
`void` | `updateTimestamp(int i, Timestamp t)` Updates the designated column with a java.sql.Timestamp value
`void` | `updateTimestamp(String s, Timestamp t)` Updates the designated column with a java.sql.Timestamp value
`boolean` | `wasNull()` Reports whether the last column read had a value of SQL NULL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sql.RowSet
`setEscapeProcessing`

Methods inherited from interface java.sql.ResultSet
`findColumn, insertRow, refreshRow, updateBoolean, updateLong, updateRow`

Constructor Detail

### JdbcRowSetImpl

    public JdbcRowSetImpl()

  Constructs a default JdbcRowSet object.

### JdbcRowSetImpl

    public JdbcRowSetImpl(String url,
                          String user,
                          String password)

Method Detail

### addRowSetListener

    public void addRowSetListener(RowSetListener rsl)

  Registers the given listener so that it will be notified of events that occur on this RowSet object

  Specified by:
    `addRowSetListener` in interface `RowSet`

### removeRowSetListener

    public void removeRowSetListener(RowSetListener rsl)

  Removes the specified listener from the list of components that will be notified when an event occurs on this RowSet object

  Specified by:
    `removeRowSetListener` in interface `RowSet`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Retrieves the number, types and properties of this rowset's ResultSet object's columns.

  Specified by:
    `getMetaData` in interface `ResultSet`
  Throws:
    `SQLException`

### isReadOnly

    public boolean isReadOnly()

  Retrieves whether this RowSet object is read-only

  Specified by:
    `isReadOnly` in interface `RowSet`

### setReadOnly

    public void setReadOnly(boolean b)

  Sets whether this RowSet object is read-only to the given boolean.

  Specified by:
    `setReadOnly` in interface `RowSet`

### getShowDeleted

    public boolean getShowDeleted()
                           throws SQLException

  See javax.sql.rowset.JdbcRowSet

  Specified by:
    `getShowDeleted` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### setShowDeleted

    public void setShowDeleted(boolean b)
                        throws SQLException

  See javax.sql.rowset.JdbcRowSet

  Specified by:
    `setShowDeleted` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Returns the first warning reported by calls on this rowset's ResultSet object.

  Specified by:
    `getWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Clears all warnings reported on this rowset's ResultSet object

  Specified by:
    `clearWarnings` in interface `ResultSet`
  Throws:
    `SQLException`

### getRowSetWarnings

    public RowSetWarning getRowSetWarnings()

  Return the RowSetWarning object for the current row of a JdbcRowSetImpl

  Specified by:
    `getRowSetWarnings` in interface `JdbcRowSet`

### getCursorName

    public String getCursorName()
                         throws SQLException

  Gets the name of the SQL cursor used by this rowset's ResultSet object

  Specified by:
    `getCursorName` in interface `ResultSet`
  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Returns the Statement object that produced this ResultSet object.

  Specified by:
    `getStatement` in interface `ResultSet`
  Throws:
    `SQLException`

### getDataSourceName

    public String getDataSourceName()

  Retrieves the logical name that identifies the data source for this RowSet object

  Specified by:
    `getDataSourceName` in interface `RowSet`

### setDataSourceName

    public void setDataSourceName(String s)

  Sets the data source name property for this RowSet object to the given String

  Specified by:
    `setDataSourceName` in interface `RowSet`

### getUrl

    public String getUrl()

  Retrieves the url property this RowSet object will use to create a connection if it uses the DriverManager instead of a DataSource object to establish the connection

  Specified by:
    `getUrl` in interface `RowSet`

### setUrl

    public void setUrl(String u)

  Sets the URL this RowSet object will use when it uses the DriverManager to create a connection.

  Specified by:
    `setUrl` in interface `RowSet`

### getUsername

    public String getUsername()

  Retrieves the username used to create a database connection for this RowSet object

  Specified by:
    `getUsername` in interface `RowSet`

### setUsername

    public void setUsername(String un)

  Sets the username property for this RowSet object to the given String

  Specified by:
    `setUsername` in interface `RowSet`

### getPassword

    public String getPassword()

  Retrieves the password used to create a database connection.

  Specified by:
    `getPassword` in interface `RowSet`

### setPassword

    public void setPassword(String p)

  Sets the database password for this RowSet object to the given String.

  Specified by:
    `setPassword` in interface `RowSet`

### getTransactionIsolation

    public int getTransactionIsolation()

  Retrieves the transaction isolation level set for this RowSet object

  Specified by:
    `getTransactionIsolation` in interface `RowSet`

### setTransactionIsolation

    public void setTransactionIsolation(int i)
                                 throws SQLException

  Sets the transaction isolation level for this RowSet obejct.

  Specified by:
    `setTransactionIsolation` in interface `RowSet`
  Throws:
    `SQLException`

### getCommand

    public String getCommand()

  Retrieves this RowSet object's command property

  Specified by:
    `getCommand` in interface `RowSet`

### setCommand

    public void setCommand(String s)

  Sets this RowSet object's command property to the given SQL query.

  Specified by:
    `setCommand` in interface `RowSet`

### getQueryTimeout

    public int getQueryTimeout()

  Retrieves the maximum number of seconds the driver will wait for a statement to execute

  Specified by:
    `getQueryTimeout` in interface `RowSet`

### setQueryTimeout

    public void setQueryTimeout(int t)

  Sets the maximum time the driver will wait for a statement to execute to the given number of seconds

  Specified by:
    `setQueryTimeout` in interface `RowSet`

### getMaxRows

    public int getMaxRows()

  Retrieves the maximum number of rows that this RowSet object can contain

  Specified by:
    `getMaxRows` in interface `RowSet`

### setMaxRows

    public void setMaxRows(int n)

  Sets the maximum number of rows that this RowSet object can contain to the specified number

  Specified by:
    `setMaxRows` in interface `RowSet`

### getMaxFieldSize

    public int getMaxFieldSize()

  Retrieves the maximum number of bytes that may be returned for certain column values

  Specified by:
    `getMaxFieldSize` in interface `RowSet`

### setMaxFieldSize

    public void setMaxFieldSize(int x)

  Sets the maximum number of bytes that can be returned for a column value to the given number of bytes.

  Specified by:
    `setMaxFieldSize` in interface `RowSet`

### getEscapeProcessing

    public boolean getEscapeProcessing()

  Retrieves whether escape processing is enabled for this RowSet object.

  Specified by:
    `getEscapeProcessing` in interface `RowSet`

### getConcurrency

    public int getConcurrency()

  Retrieves the concurrency mode of this ResultSet object.

  Specified by:
    `getConcurrency` in interface `ResultSet`

### setConcurrency

    public void setConcurrency(int c)

  Sets the concurrency of this RowSet object to the given concurrency level.

  Specified by:
    `setConcurrency` in interface `RowSet`

### getType

    public int getType()

  Retrieves the type of this ResultSet object

  Specified by:
    `getType` in interface `ResultSet`

### setType

    public void setType(int t)

  Sets the type of this RowSet object to the given type.

  Specified by:
    `setType` in interface `RowSet`

### getFetchDirection

    public int getFetchDirection()

  Retrieves the fetch direction for this ResultSet object

  Specified by:
    `getFetchDirection` in interface `ResultSet`

### setFetchDirection

    public void setFetchDirection(int i)
                           throws SQLException

  Gives a hint as to the direction in which the rows in this ResultSet object will be processed.

  Specified by:
    `setFetchDirection` in interface `ResultSet`
  Throws:
    `SQLException`

### getFetchSize

    public int getFetchSize()

  Retrieves the fetch size for this ResultSet object.

  Specified by:
    `getFetchSize` in interface `ResultSet`

### setFetchSize

    public void setFetchSize(int i)

  Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this ResultSet object.

  Specified by:
    `setFetchSize` in interface `ResultSet`

### getTypeMap

    public Map getTypeMap()

  Retrieves the Map object associated with this RowSet object, which specifies the custom mapping of SQL user-defined types, if any

  Specified by:
    `getTypeMap` in interface `RowSet`

### setTypeMap

    public void setTypeMap(Map m)

  Installs the given java.util.Map object as the default type map for this RowSet object

  Specified by:
    `setTypeMap` in interface `RowSet`

### clearParameters

    public void clearParameters()

  Clears the parameters set for this RowSet object's command.

  Specified by:
    `clearParameters` in interface `RowSet`

### getRow

    public int getRow()
               throws SQLException

  Retrieves the current row number

  Specified by:
    `getRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Moves the cursor to the insert row.

  Specified by:
    `moveToInsertRow` in interface `ResultSet`
  Throws:
    `SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  Moves the cursor to the remembered cursor position, usually the current row

  Specified by:
    `moveToCurrentRow` in interface `ResultSet`
  Throws:
    `SQLException`

### absolute

    public boolean absolute(int i)
                     throws SQLException

  Moves the cursor to the given row number in this ResultSet object

  Specified by:
    `absolute` in interface `ResultSet`
  Throws:
    `SQLException`

### beforeFirst

    public void beforeFirst()
                     throws SQLException

  Moves the cursor to the front of this ResultSet object, just before the first row

  Specified by:
    `beforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### first

    public boolean first()
                  throws SQLException

  Moves the cursor to the first row in this ResultSet object

  Specified by:
    `first` in interface `ResultSet`
  Throws:
    `SQLException`

### last

    public boolean last()
                 throws SQLException

  Moves the cursor to the last row in this ResultSet object

  Specified by:
    `last` in interface `ResultSet`
  Throws:
    `SQLException`

### afterLast

    public void afterLast()
                   throws SQLException

  Moves the cursor to the end of this ResultSet object, just after the last row

  Specified by:
    `afterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### relative

    public boolean relative(int i)
                     throws SQLException

  Moves the cursor a relative number of rows, either positive or negative

  Specified by:
    `relative` in interface `ResultSet`
  Throws:
    `SQLException`

### next

    public boolean next()
                 throws SQLException

  Moves the cursor down one row from its current position

  Specified by:
    `next` in interface `ResultSet`
  Throws:
    `SQLException`

### previous

    public boolean previous()
                     throws SQLException

  Moves the cursor to the previous row in this ResultSet object

  Specified by:
    `previous` in interface `ResultSet`
  Throws:
    `SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

  Retrieves whether the cursor is before the first row in this ResultSet object

  Specified by:
    `isBeforeFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

  Retrieves whether the cursor is after the last row in this ResultSet object

  Specified by:
    `isAfterLast` in interface `ResultSet`
  Throws:
    `SQLException`

### isFirst

    public boolean isFirst()
                    throws SQLException

  Retrieves whether the cursor is on the first row of this ResultSet object

  Specified by:
    `isFirst` in interface `ResultSet`
  Throws:
    `SQLException`

### isLast

    public boolean isLast()
                   throws SQLException

  Retrieves whether the cursor is on the last row of this ResultSet object

  Specified by:
    `isLast` in interface `ResultSet`
  Throws:
    `SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  Retrieves whether the current row has been updated

  Specified by:
    `rowUpdated` in interface `ResultSet`
  Throws:
    `SQLException`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  Retrieves whether the current row has had an insertion

  Specified by:
    `rowInserted` in interface `ResultSet`
  Throws:
    `SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  Retrieves whether a row has been deleted

  Specified by:
    `rowDeleted` in interface `ResultSet`
  Throws:
    `SQLException`

### setArray

    public void setArray(int i,
                         Array x)
                  throws SQLException

  Sets the designated parameter in this RowSet object's command with the given Array value

  Specified by:
    `setArray` in interface `RowSet`
  Throws:
    `SQLException`

### setAsciiStream

    public void setAsciiStream(int i,
                               InputStream is,
                               int x)
                        throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.io.InputStream value

  Specified by:
    `setAsciiStream` in interface `RowSet`
  Throws:
    `SQLException`

### setBigDecimal

    public void setBigDecimal(int i,
                              BigDecimal bd)
                       throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.math.BigDeciaml value.

  Specified by:
    `setBigDecimal` in interface `RowSet`
  Throws:
    `SQLException`

### setBinaryStream

    public void setBinaryStream(int i,
                                InputStream is,
                                int x)
                         throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.io.InputStream value

  Specified by:
    `setBinaryStream` in interface `RowSet`
  Throws:
    `SQLException`

### setBlob

    public void setBlob(int i,
                        Blob b)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command with the given Blob value.

  Specified by:
    `setBlob` in interface `RowSet`
  Throws:
    `SQLException`

### setBoolean

    public void setBoolean(int i,
                           boolean b)
                    throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java boolean value

  Specified by:
    `setBoolean` in interface `RowSet`
  Throws:
    `SQLException`

### setByte

    public void setByte(int i,
                        byte b)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java byte value

  Specified by:
    `setByte` in interface `RowSet`
  Throws:
    `SQLException`

### setBytes

    public void setBytes(int i,
                         byte[] b)
                  throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java array of byte values

  Specified by:
    `setBytes` in interface `RowSet`
  Throws:
    `SQLException`

### setCharacterStream

    public void setCharacterStream(int i,
                                   Reader r,
                                   int x)
                            throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.io.Reader value

  Specified by:
    `setCharacterStream` in interface `RowSet`
  Throws:
    `SQLException`

### setClob

    public void setClob(int i,
                        Clob c)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command with the given Clob value

  Specified by:
    `setClob` in interface `RowSet`
  Throws:
    `SQLException`

### setDate

    public void setDate(int i,
                        Date d)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command with the given java.sql.Date value

  Specified by:
    `setDate` in interface `RowSet`
  Throws:
    `SQLException`

### setDate

    public void setDate(int i,
                        Date d,
                        Calendar c)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command with the given java.sql.Date value.

  Specified by:
    `setDate` in interface `RowSet`
  Throws:
    `SQLException`

### setDouble

    public void setDouble(int i,
                          double d)
                   throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java double value.

  Specified by:
    `setDouble` in interface `RowSet`
  Throws:
    `SQLException`

### setFloat

    public void setFloat(int i,
                         float f)
                  throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java float value.

  Specified by:
    `setFloat` in interface `RowSet`
  Throws:
    `SQLException`

### setInt

    public void setInt(int i,
                       int x)
                throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java int value

  Specified by:
    `setInt` in interface `RowSet`
  Throws:
    `SQLException`

### setLong

    public void setLong(int i,
                        long l)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java long value

  Specified by:
    `setLong` in interface `RowSet`
  Throws:
    `SQLException`

### setNull

    public void setNull(int i,
                        int x)
                 throws SQLException

  Sets the designated parameter in this RowSet object's SQL command to SQL NULL

  Specified by:
    `setNull` in interface `RowSet`
  Throws:
    `SQLException`

### setNull

    public void setNull(int i,
                        int x,
                        String s)
                 throws SQLException

  Sets the designated parameter in this RowSet object's SQL command to SQL NULL

  Specified by:
    `setNull` in interface `RowSet`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i,
                          Object o)
                   throws SQLException

  Sets the designated parameter in this RowSet object's command with a Java Object

  Specified by:
    `setObject` in interface `RowSet`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i,
                          Object o,
                          int x)
                   throws SQLException

  Sets the designated parameter in this RowSet object's command with a Java Object

  Specified by:
    `setObject` in interface `RowSet`
  Throws:
    `SQLException`

### setObject

    public void setObject(int i,
                          Object o,
                          int x,
                          int scale)
                   throws SQLException

  Sets the designated parameter in this RowSet object's command with a Java Object

  Specified by:
    `setObject` in interface `RowSet`
  Throws:
    `SQLException`

### setRef

    public void setRef(int i,
                       Ref r)
                throws SQLException

  Sets the designated parameter in this RowSet object's command with the given Ref value

  Specified by:
    `setRef` in interface `RowSet`
  Throws:
    `SQLException`

### setShort

    public void setShort(int i,
                         short s)
                  throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java short value

  Specified by:
    `setShort` in interface `RowSet`
  Throws:
    `SQLException`

### setString

    public void setString(int i,
                          String s)
                   throws SQLException

  Sets the designated parameter in this RowSet object's command to the given Java String value

  Specified by:
    `setString` in interface `RowSet`
  Throws:
    `SQLException`

### setTime

    public void setTime(int i,
                        Time t)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.sql.Time value

  Specified by:
    `setTime` in interface `RowSet`
  Throws:
    `SQLException`

### setTime

    public void setTime(int i,
                        Time t,
                        Calendar c)
                 throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.sql.Time value

  Specified by:
    `setTime` in interface `RowSet`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t)
                      throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.sql.Timestamp value

  Specified by:
    `setTimestamp` in interface `RowSet`
  Throws:
    `SQLException`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t,
                             Calendar c)
                      throws SQLException

  Sets the designated parameter in this RowSet object's command to the given java.sql.Timestamp value

  Specified by:
    `setTimestamp` in interface `RowSet`
  Throws:
    `SQLException`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Reports whether the last column read had a value of SQL NULL

  Specified by:
    `wasNull` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(int i)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getString

    public String getString(String s)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a String in the Java programming language.

  Specified by:
    `getString` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(int i)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an int in the Java programming language.

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int i,
                                    int scale)
                             throws SQLException

  Deprecated.

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with the specified scale.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(int i)
                             throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String s)
                             throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(String s)
                       throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a boolean in the Java programming language.

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getBoolean

    public boolean getBoolean(int i)
                       throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a boolean in the Java programming language.

  Specified by:
    `getBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a byte in the Java programming language.

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getByte

    public byte getByte(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a byte in the Java programming language.

  Specified by:
    `getByte` in interface `ResultSet`
  Throws:
    `SQLException`

### getInt

    public int getInt(String s)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an int in the Java programming language.

  Specified by:
    `getInt` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a long in the Java programming language

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getLong

    public long getLong(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a long in the Java programming language

  Specified by:
    `getLong` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(int i)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a float in the Java programming language.

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getFloat

    public float getFloat(String s)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a float in the Java programming language.

  Specified by:
    `getFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(int i)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a double in the Java programming language.

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getDouble

    public double getDouble(String s)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a double in the Java programming language.

  Specified by:
    `getDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(String s)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a short in the Java programming language.

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getShort

    public short getShort(int i)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a short in the Java programming language.

  Specified by:
    `getShort` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int i)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String s)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(int i,
                            Map m)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(int i)
                    throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a byte array in the Java programming language.

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int i)
                           throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(int i,
                        Calendar c)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(int i,
                        Calendar c)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(int i,
                                  Calendar c)
                           throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(int i)
                               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a stream of ASCII characters

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(int i)
                                 throws SQLException

  Deprecated. use getCharacterStream instead

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(int i)
                                throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a binary stream of uninterpreted bytes

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(int i)
                              throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(int i)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Ref object in the Java programming language

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Blob object in the Java programming language

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(int i)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Clob object in the Java programming language

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(int i)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Array object in the Java programming language

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getBigDecimal

    public BigDecimal getBigDecimal(String s,
                                    int n)
                             throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.math.BigDecimal with full precision.

  Specified by:
    `getBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes(String s)
                    throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a byte array in the Java programming language.

  Specified by:
    `getBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String s)
                           throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream(String s)
                               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a stream of ASCII characters

  Specified by:
    `getAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getUnicodeStream

    public InputStream getUnicodeStream(String s)
                                 throws SQLException

  Deprecated. use getCharacterStream instead

  Specified by:
    `getUnicodeStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getBinaryStream

    public InputStream getBinaryStream(String s)
                                throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a binary stream of uninterpreted bytes

  Specified by:
    `getBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getObject

    public Object getObject(String s,
                            Map m)
                     throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Object in the Java programming language.

  Specified by:
    `getObject` in interface `ResultSet`
  Throws:
    `SQLException`

### getRef

    public Ref getRef(String s)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Ref object in the Java programming language

  Specified by:
    `getRef` in interface `ResultSet`
  Throws:
    `SQLException`

### getBlob

    public Blob getBlob(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Blob object in the Java programming language

  Specified by:
    `getBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### getClob

    public Clob getClob(String s)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a Clob object in the Java programming language

  Specified by:
    `getClob` in interface `ResultSet`
  Throws:
    `SQLException`

### getArray

    public Array getArray(String s)
                   throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as an Array object in the Java programming language

  Specified by:
    `getArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getDate

    public Date getDate(String s,
                        Calendar c)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Date object in the Java programming language

  Specified by:
    `getDate` in interface `ResultSet`
  Throws:
    `SQLException`

### getTime

    public Time getTime(String s,
                        Calendar c)
                 throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Time object in the Java programming language.

  Specified by:
    `getTime` in interface `ResultSet`
  Throws:
    `SQLException`

### getTimestamp

    public Timestamp getTimestamp(String s,
                                  Calendar c)
                           throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.sql.Timestamp object

  Specified by:
    `getTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream(String s)
                              throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.io.Reader object.

  Specified by:
    `getCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(int a)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.net.URL object in the Java programming language

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### getURL

    public URL getURL(String s)
               throws SQLException

  Retrieves the value of the designated column in the current row of this ResultSet object as a java.net.URL object in the Java programming language

  Specified by:
    `getURL` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(int i,
                             String s)
                      throws SQLException

  Updates the designated column with a String value.

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(int i,
                          int x)
                   throws SQLException

  Updates the designated column with an int value

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(int i)
                    throws SQLException

  Gives a nullable column a null value

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int i,
                                  InputStream is,
                                  int n)
                           throws SQLException

  Updates the designated column with an ascii stream value

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int i,
                                   InputStream is,
                                   int n)
                            throws SQLException

  Updates the designated column with a binary stream value

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int i,
                                      Reader r,
                                      int n)
                               throws SQLException

  Updates the designated column with a character stream value

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int i,
                             Object o,
                             int x)
                      throws SQLException

  Updates the designated column with an Object value

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(int i,
                             Object o)
                      throws SQLException

  Updates the designated column with an Object value

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBoolean

    public void updateBoolean(int i,
                              boolean b)
                       throws SQLException

  Updates the designated column with a boolean value

  Specified by:
    `updateBoolean` in interface `ResultSet`
  Throws:
    `SQLException`

### updateLong

    public void updateLong(int i,
                           long l)
                    throws SQLException

  Updates the designated column with a long value

  Specified by:
    `updateLong` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(int i,
                            short s)
                     throws SQLException

  Updates the designated column with a short value

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(int i,
                           byte b)
                    throws SQLException

  Updates the designated column with a byte value

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(int i,
                                 BigDecimal bd)
                          throws SQLException

  Updates the designated column with a java.sql.BigDecimal value

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(int i,
                             double d)
                      throws SQLException

  Updates the designated column with a double value

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(int i,
                            float f)
                     throws SQLException

  Updates the designated column with a float value

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(int i,
                            byte[] b)
                     throws SQLException

  Updates the designated column with a byte array value.

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(int i,
                           Date d)
                    throws SQLException

  Updates the designated column with a java.sql.Date value

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(int i,
                                Timestamp t)
                         throws SQLException

  Updates the designated column with a java.sql.Timestamp value

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(int i,
                           Time t)
                    throws SQLException

  Updates the designated column with a java.sql.Time value

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateString

    public void updateString(String s,
                             String n)
                      throws SQLException

  Updates the designated column with a String value.

  Specified by:
    `updateString` in interface `ResultSet`
  Throws:
    `SQLException`

### updateInt

    public void updateInt(String s,
                          int x)
                   throws SQLException

  Updates the designated column with an int value

  Specified by:
    `updateInt` in interface `ResultSet`
  Throws:
    `SQLException`

### updateNull

    public void updateNull(String s)
                    throws SQLException

  Gives a nullable column a null value

  Specified by:
    `updateNull` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String s,
                             Object o)
                      throws SQLException

  Updates the designated column with an Object value

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String s,
                                  InputStream is,
                                  int x)
                           throws SQLException

  Updates the designated column with an ascii stream value

  Specified by:
    `updateAsciiStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String s,
                                   InputStream is,
                                   int x)
                            throws SQLException

  Updates the designated column with a binary stream value

  Specified by:
    `updateBinaryStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String s,
                                      Reader r,
                                      int x)
                               throws SQLException

  Updates the designated column with a character stream value

  Specified by:
    `updateCharacterStream` in interface `ResultSet`
  Throws:
    `SQLException`

### updateObject

    public void updateObject(String s,
                             Object o,
                             int x)
                      throws SQLException

  Updates the designated column with an Object value

  Specified by:
    `updateObject` in interface `ResultSet`
  Throws:
    `SQLException`

### updateByte

    public void updateByte(String s,
                           byte b)
                    throws SQLException

  Updates the designated column with a byte value

  Specified by:
    `updateByte` in interface `ResultSet`
  Throws:
    `SQLException`

### updateShort

    public void updateShort(String s,
                            short x)
                     throws SQLException

  Updates the designated column with a short value

  Specified by:
    `updateShort` in interface `ResultSet`
  Throws:
    `SQLException`

### updateFloat

    public void updateFloat(String s,
                            float f)
                     throws SQLException

  Updates the designated column with a float value

  Specified by:
    `updateFloat` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDouble

    public void updateDouble(String s,
                             double d)
                      throws SQLException

  Updates the designated column with a double value

  Specified by:
    `updateDouble` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBigDecimal

    public void updateBigDecimal(String s,
                                 BigDecimal bd)
                          throws SQLException

  Updates the designated column with a java.sql.BigDecimal value

  Specified by:
    `updateBigDecimal` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBytes

    public void updateBytes(String s,
                            byte[] b)
                     throws SQLException

  Updates the designated column with a byte array value.

  Specified by:
    `updateBytes` in interface `ResultSet`
  Throws:
    `SQLException`

### updateDate

    public void updateDate(String s,
                           Date d)
                    throws SQLException

  Updates the designated column with a java.sql.Date value

  Specified by:
    `updateDate` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTime

    public void updateTime(String s,
                           Time t)
                    throws SQLException

  Updates the designated column with a java.sql.Time value

  Specified by:
    `updateTime` in interface `ResultSet`
  Throws:
    `SQLException`

### updateTimestamp

    public void updateTimestamp(String s,
                                Timestamp t)
                         throws SQLException

  Updates the designated column with a java.sql.Timestamp value

  Specified by:
    `updateTimestamp` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int a,
                           Blob b)
                    throws SQLException

  Updates the designated column with a java.sql.Blob value

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String s,
                           Blob b)
                    throws SQLException

  Updates the designated column with a java.sql.Blob value

  Specified by:
    `updateBlob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(int a,
                          Ref b)
                   throws SQLException

  Updates the designated column with a java.sql.Ref value

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateRef

    public void updateRef(String s,
                          Ref b)
                   throws SQLException

  Updates the designated column with a java.sql.Ref value

  Specified by:
    `updateRef` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(int a,
                           Clob b)
                    throws SQLException

  Updates the designated column with a java.sql.Clob value

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateClob

    public void updateClob(String s,
                           Clob b)
                    throws SQLException

  Updates the designated column with a java.sql.Clob value

  Specified by:
    `updateClob` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(int a,
                            Array b)
                     throws SQLException

  Updates the designated column with a java.sql.Array value

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### updateArray

    public void updateArray(String s,
                            Array b)
                     throws SQLException

  Updates the designated column with a java.sql.Array value

  Specified by:
    `updateArray` in interface `ResultSet`
  Throws:
    `SQLException`

### getMatchColumnIndexes

    public int[] getMatchColumnIndexes()
                                throws SQLException

  Retrieves the column id as int array that was set using setMatchColumn(int []) for this rowset

  Specified by:
    `getMatchColumnIndexes` in interface `Joinable`
  Throws:
    `SQLException`

### getMatchColumnNames

    public String[] getMatchColumnNames()
                                 throws SQLException

  Retrieves the column name as String array that was set using setMatchColumn(String []) for this rowset

  Specified by:
    `getMatchColumnNames` in interface `Joinable`
  Throws:
    `SQLException`

### setMatchColumn

    public void setMatchColumn(int columnIdx)
                        throws SQLException

  Sets the designated parameter to the given int object.

  Specified by:
    `setMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### setMatchColumn

    public void setMatchColumn(String columnName)
                        throws SQLException

  Sets the designated parameter to the given String object.

  Specified by:
    `setMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### setMatchColumn

    public void setMatchColumn(int[] columnIdxes)
                        throws SQLException

  Sets the designated parameter to the given int array.

  Specified by:
    `setMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### setMatchColumn

    public void setMatchColumn(String[] columnNames)
                        throws SQLException

  Sets the designated parameter to the given String array.

  Specified by:
    `setMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### unsetMatchColumn

    public void unsetMatchColumn(int columnIdx)
                          throws SQLException

  Unsets the designated parameter to the given int object

  Specified by:
    `unsetMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### unsetMatchColumn

    public void unsetMatchColumn(String columnName)
                          throws SQLException

  Unsets the designated parameter to the given string object

  Specified by:
    `unsetMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### unsetMatchColumn

    public void unsetMatchColumn(int[] columnIdxes)
                          throws SQLException

  Unsets the designated parameter to the given int array

  Specified by:
    `unsetMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### unsetMatchColumn

    public void unsetMatchColumn(String[] columnNames)
                          throws SQLException

  Unsets the designated parameter to the given String array.

  Specified by:
    `unsetMatchColumn` in interface `Joinable`
  Throws:
    `SQLException`

### execute

    public void execute()
                 throws SQLException

  Creates the internal ResultSet object for which this JdbcRowSet object is a wrapper, effectively making the result set a JavaBeans component.

  Specified by:
    `execute` in interface `RowSet`
  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Deletes the current row from this rowset's ResultSet object and from the underlying database and also notifies listeners that a row has changed

  Specified by:
    `deleteRow` in interface `ResultSet`
  Throws:
    `SQLException`

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws SQLException

  Cancels the updates made to the current row in this ResultSet object and notifies listeners that a row has changed.

  Specified by:
    `cancelRowUpdates` in interface `ResultSet`
  Throws:
    `SQLException`

### commit

    public void commit()
                throws SQLException

  Commits all updates in this JdbcRowSet object by wrapping the internal Connection object and calling its commit method.

  Specified by:
    `commit` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Returns the auto-commit status with this JdbcRowSet

  Specified by:
    `getAutoCommit` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws SQLException

  Sets auto-commit on the internal Connection object with this JdbcRowSet

  Specified by:
    `setAutoCommit` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Rolls back all the updates in this JdbcRowSet object by wrapping the internal Connection object and calling its rollback method.

  Specified by:
    `rollback` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### rollback

    public void rollback(Savepoint s)
                  throws SQLException

  Rollbacks all the updates in the JdbcRowSet back to the last Savepoint transaction marker

  Specified by:
    `rollback` in interface `JdbcRowSet`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Releases this rowset's ResultSet object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed

  Specified by:
    `close` in interface `ResultSet`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD